[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPHashList.Add

Add a new key/data pair to the list

## Declaration

Source position: contnrs.pp line 241

`public function TFPHashList.Add(`
`const AName: shortstring;`
`Item: Pointer`
`):Integer;`

## Arguments

`AName` |  | Key name associated with data.
`Item` |  | Data pointer

## Function result

Position of the new item in the list

## Description

Add adds a new data pointer (Item) with key AName to the list. It returns the position of the item in the list.

## Errors

If not enough memory is available to hold the key and data, an exception may be raised.

## See also

TFPHashList.Extract |  | Extract a pointer from the list
TFPHashList.Remove |  | Remove first instance of a pointer
TFPHashList.Delete |  | Delete an item from the list.